Bug 479252 - [RHEL5] ipmitool doesn't accept hex codes for k_g
[RHEL5] ipmitool doesn't accept hex codes for k_g
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: OpenIPMI (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Jan Safranek
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-08 07:51 EST by Tomas Smetana
Modified: 2010-10-23 02:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:59:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (4.09 KB, patch)
2009-01-08 07:53 EST, Tomas Smetana
no flags Details | Diff

  None (edit)
Description Tomas Smetana 2009-01-08 07:51:29 EST
The ipmitool shipped with OpenIPMI doesn't allow to specify the non-printable characters in the k_g key even though IPMI specification permits them.

The freeipmi ipmiconsole allows to enter the key beginning with "0x" to be treated as hexadecimal value.  OpenIPMI should have this functionality as well.

Version-Release number of selected component (if applicable):
OpenIPMI-2.0.6-11
Comment 1 Tomas Smetana 2009-01-08 07:53:19 EST
Created attachment 328460 [details]
Proposed patch

Here's the code stolen from freeipmi which should allow the user to enter the k_g key as a hex value.
Comment 2 Jan Safranek 2009-01-12 06:53:24 EST
I'd rather add new parameter, say '-K', which accepts only hexa-codes as key. What if an user has key starting with "0x"? The attached patch would do something what the user doesn't expect. Is there any customer request to mimic FreeIPMI behaviour?
Comment 3 Tomas Smetana 2009-01-12 07:43:46 EST
(In reply to comment #2)
> I'd rather add new parameter, say '-K', which accepts only hexa-codes as key.
> What if an user has key starting with "0x"? The attached patch would do
> something what the user doesn't expect. Is there any customer request to mimic
> FreeIPMI behaviour?

I think the user would be OK with any option that would allow him to enter the hexa values (but "-K" is taken already).  And yes, I believe he would be OK even if we just mimicked the FreeIPMI...  The patch is just a suggestion.
Comment 4 Jan Safranek 2009-01-14 09:52:02 EST
Patch sent upstream:

https://sourceforge.net/mailarchive/forum.php?thread_name=496DF4A1.5010507%40redhat.com&forum_name=ipmitool-devel

I had to rewrite the hex parsing, stealing from GPL FreeIPMI is not a good idea.
Comment 5 Jan Safranek 2009-01-15 03:59:53 EST
The patch was accepted upstream.
Comment 7 Jan Safranek 2009-03-16 07:40:53 EDT
Fixed by rebase to ipmitool-1.8.11
Comment 9 Chris Ward 2009-07-03 14:19:27 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 12 errata-xmlrpc 2009-09-02 05:59:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1312.html

Note You need to log in before you can comment on or make changes to this bug.